Package org.eclipse.birt.report.model.api.elements.structures

# Class TOC

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.core.PropertyStructure
org.eclipse.birt.report.model.api.elements.structures.TOC

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

public class TOC extends org.eclipse.birt.report.model.core.PropertyStructure
The TOC structure defines a TOC. TOC is table of content.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BACKGROUND_COLOR_MEMBER`
`static final String`
`BORDER_BOTTOM_COLOR_MEMBER`
`static final String`
`BORDER_BOTTOM_STYLE_MEMBER`
`static final String`
`BORDER_BOTTOM_WIDTH_MEMBER`
`static final String`
`BORDER_LEFT_COLOR_MEMBER`
`static final String`
`BORDER_LEFT_STYLE_MEMBER`
`static final String`
`BORDER_LEFT_WIDTH_MEMBER`
`static final String`
`BORDER_RIGHT_COLOR_MEMBER`
`static final String`
`BORDER_RIGHT_STYLE_MEMBER`
`static final String`
`BORDER_RIGHT_WIDTH_MEMBER`
`static final String`
`BORDER_TOP_COLOR_MEMBER`
`static final String`
`BORDER_TOP_STYLE_MEMBER`
`static final String`
`BORDER_TOP_WIDTH_MEMBER`
`static final String`
`COLOR_MEMBER`
`static final String`
`DATE_TIME_FORMAT_MEMBER`
`static final String`
`FONT_FAMILY_MEMBER`
`static final String`
`FONT_SIZE_MEMBER`
`static final String`
`FONT_STYLE_MEMBER`
`static final String`
`FONT_VARIANT_MEMBER`
`static final String`
`FONT_WEIGHT_MEMBER`
`static final String`
`NUMBER_ALIGN_MEMBER`
`static final String`
`NUMBER_FORMAT_MEMBER`
`static final String`
`STRING_FORMAT_MEMBER`
`static final String`
`TEXT_ALIGN_MEMBER`
`static final String`
`TEXT_DIRECTION_MEMBER`
`static final String`
`TEXT_INDENT_MEMBER`
`static final String`
`TEXT_LINE_THROUGH_MEMBER`
`static final String`
`TEXT_OVERLINE_MEMBER`
`static final String`
`TEXT_TRANSFORM_MEMBER`
`static final String`
`TEXT_UNDERLINE_MEMBER`
`static final String`
`TOC_EXPRESSION`
TOC expression.
`static final String`
`TOC_STRUCT`
Name of this structure.
`static final String`
`TOC_STYLE`
TOC style.

### Fields inherited from class org.eclipse.birt.report.model.core.PropertyStructure

`propValues`

## Constructor Summary

Constructors
Constructor
Description
`TOC()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getExpression()`
Gets toc expression.
`StructureHandle`
`getHandle(SimpleValueHandle valueHandle)`
Gets the specific handle of this structure.
`protected Object`
`getIntrinsicProperty(String propName)`
Returns the value of a structure property represented as a member variable.
`String`
`getStructName()`
Returns the name of the structure definition.
`protected StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.
`void`
`setExpression(String expression)`
Sets toc expression.
`protected void`
`setIntrinsicProperty(String propName, Object value)`
Sets the value of of a structure property represented as a member variable.
`String`
`toString()`

### Methods inherited from class org.eclipse.birt.report.model.core.PropertyStructure

`clone, getLocalProperty, getLocalProperty, setProperty`

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setupContext, updateReference, validate`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TOC_STRUCT

public static final String TOC_STRUCT
Name of this structure.

See Also:
  - Constant Field Values

### TOC_EXPRESSION

public static final String TOC_EXPRESSION
TOC expression.

See Also:
  - Constant Field Values

### TOC_STYLE

public static final String TOC_STYLE
TOC style.

See Also:
  - Constant Field Values

### BORDER_TOP_STYLE_MEMBER

public static final String BORDER_TOP_STYLE_MEMBER

See Also:
  - Constant Field Values

### BORDER_TOP_WIDTH_MEMBER

public static final String BORDER_TOP_WIDTH_MEMBER

See Also:
  - Constant Field Values

### BORDER_TOP_COLOR_MEMBER

public static final String BORDER_TOP_COLOR_MEMBER

See Also:
  - Constant Field Values

### BORDER_LEFT_STYLE_MEMBER

public static final String BORDER_LEFT_STYLE_MEMBER

See Also:
  - Constant Field Values

### BORDER_LEFT_WIDTH_MEMBER

public static final String BORDER_LEFT_WIDTH_MEMBER

See Also:
  - Constant Field Values

### BORDER_LEFT_COLOR_MEMBER

public static final String BORDER_LEFT_COLOR_MEMBER

See Also:
  - Constant Field Values

### BORDER_BOTTOM_STYLE_MEMBER

public static final String BORDER_BOTTOM_STYLE_MEMBER

See Also:
  - Constant Field Values

### BORDER_BOTTOM_WIDTH_MEMBER

public static final String BORDER_BOTTOM_WIDTH_MEMBER

See Also:
  - Constant Field Values

### BORDER_BOTTOM_COLOR_MEMBER

public static final String BORDER_BOTTOM_COLOR_MEMBER

See Also:
  - Constant Field Values

### BORDER_RIGHT_STYLE_MEMBER

public static final String BORDER_RIGHT_STYLE_MEMBER

See Also:
  - Constant Field Values

### BORDER_RIGHT_WIDTH_MEMBER

public static final String BORDER_RIGHT_WIDTH_MEMBER

See Also:
  - Constant Field Values

### BORDER_RIGHT_COLOR_MEMBER

public static final String BORDER_RIGHT_COLOR_MEMBER

See Also:
  - Constant Field Values

### BACKGROUND_COLOR_MEMBER

public static final String BACKGROUND_COLOR_MEMBER

See Also:
  - Constant Field Values

### DATE_TIME_FORMAT_MEMBER

public static final String DATE_TIME_FORMAT_MEMBER

See Also:
  - Constant Field Values

### NUMBER_FORMAT_MEMBER

public static final String NUMBER_FORMAT_MEMBER

See Also:
  - Constant Field Values

### NUMBER_ALIGN_MEMBER

public static final String NUMBER_ALIGN_MEMBER

See Also:
  - Constant Field Values

### STRING_FORMAT_MEMBER

public static final String STRING_FORMAT_MEMBER

See Also:
  - Constant Field Values

### FONT_FAMILY_MEMBER

public static final String FONT_FAMILY_MEMBER

See Also:
  - Constant Field Values

### FONT_SIZE_MEMBER

public static final String FONT_SIZE_MEMBER

See Also:
  - Constant Field Values

### FONT_STYLE_MEMBER

public static final String FONT_STYLE_MEMBER

See Also:
  - Constant Field Values

### FONT_WEIGHT_MEMBER

public static final String FONT_WEIGHT_MEMBER

See Also:
  - Constant Field Values

### FONT_VARIANT_MEMBER

public static final String FONT_VARIANT_MEMBER

See Also:
  - Constant Field Values

### COLOR_MEMBER

public static final String COLOR_MEMBER

See Also:
  - Constant Field Values

### TEXT_UNDERLINE_MEMBER

public static final String TEXT_UNDERLINE_MEMBER

See Also:
  - Constant Field Values

### TEXT_OVERLINE_MEMBER

public static final String TEXT_OVERLINE_MEMBER

See Also:
  - Constant Field Values

### TEXT_LINE_THROUGH_MEMBER

public static final String TEXT_LINE_THROUGH_MEMBER

See Also:
  - Constant Field Values

### TEXT_ALIGN_MEMBER

public static final String TEXT_ALIGN_MEMBER

See Also:
  - Constant Field Values

### TEXT_TRANSFORM_MEMBER

public static final String TEXT_TRANSFORM_MEMBER

See Also:
  - Constant Field Values

### TEXT_INDENT_MEMBER

public static final String TEXT_INDENT_MEMBER

See Also:
  - Constant Field Values

### TEXT_DIRECTION_MEMBER

public static final String TEXT_DIRECTION_MEMBER

See Also:
  - Constant Field Values

## Constructor Details

### TOC

public TOC()

## Method Details

### handle

protected StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Specified by:
  `handle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.

### getHandle

public StructureHandle getHandle(SimpleValueHandle valueHandle)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Gets the specific handle of this structure. This structure must be in the element's structure list. The structure handle is transient because the position in the structure list is kept. The position changes if any structure is added, or dropped. So this handle should not be kept.

Overrides:
  `getHandle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
Returns:
  the handle of this structure. If this structure is not in the `valueHandle`,`null` is returned.

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Returns:
  the internal name of the structure a defined in the meta-data dictionary.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getIntrinsicProperty

protected Object getIntrinsicProperty(String propName)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Returns the value of a structure property represented as a member variable.

Overrides:
  `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.PropertyStructure`
Parameters:
  `propName` - name of the property
Returns:
  the value of the property, or null if the property is not set

### setIntrinsicProperty

protected void setIntrinsicProperty(String propName, Object value)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Sets the value of of a structure property represented as a member variable.

Overrides:
  `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.PropertyStructure`
Parameters:
  `propName` - the name of the property to set
  `value` - the property value

### setExpression

public void setExpression(String expression) throws SemanticException
Sets toc expression.

Parameters:
  `expression` - toc expression
Throws:
  `SemanticException`

### getExpression

public String getExpression()
Gets toc expression.

Returns:
  toc expression